Groovy JDK

## java.util
Class SortedMap

Method Summary
`SortedMap` | `asImmutable()` A convenience method for creating an immutable sorted map.
`SortedMap` | `asSynchronized()` A convenience method for creating a synchronized SortedMap.
`SortedMap` | `sort()` Avoids doing unnecessary work when sorting an already sorted map (i.e. an identity function for an already sorted map).

Method Detail

### asImmutable

    public SortedMap asImmutable()

  A convenience method for creating an immutable sorted map.

Returns:
  an immutable SortedMap

Since:
  1.0

See:
  Collections#unmodifiableSortedMap.

### asSynchronized

    public SortedMap asSynchronized()

  A convenience method for creating a synchronized SortedMap.

Returns:
  a synchronized SortedMap

Since:
  1.0

See:
  Collections#synchronizedSortedMap.

### sort

    public SortedMap sort()

  Avoids doing unnecessary work when sorting an already sorted map (i.e. an identity function for an already sorted map).

Returns:
  the map

Since:
  1.8.1

Groovy JDK